org.apache.lucene.luke.app

## Interface IndexObserver

All Superinterfaces:
  Observer

    public interface IndexObserver
    extends Observer

Index open/close observer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closeIndex()`
`void` `openIndex(LukeState state)`

### Method Detail

#### openIndex

    void openIndex(LukeState state)

#### closeIndex

    void closeIndex()